For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Metrics
    • GETList Metrics
    • POSTCreate Metrics
    • PUTUpdate Metrics
    • POSTBatch Create
  • Metric Collections
    • GETList Metric Collections
    • POSTAdd Collection
    • PUTUpdate Collection
  • Datasets
    • GETList Datasets
    • GETPull Dataset
    • POSTPush Dataset
    • DELDelete Dataset
  • Evaluation
    • POSTRun LLM Evals
    • POSTSimulate Conversation
    • POSTEvaluate Span
    • POSTEvaluate Trace
    • POSTEvaluate Thread
    • GETRetrieve Test Run
    • GETList Test Runs
  • Tracing
    • GETList Traces
    • POSTTrace Ingestion
    • GETRetrieve Trace
    • GETList Spans
    • GETRetrieve Span
  • Threads
    • GETList Threads
    • GETRetrieve Thread
  • Prompt
    • GETList Prompts
    • POSTPush Prompts
    • GETPull Prompts By Label
    • GETPull Prompts By Version
    • GETPull Prompts By Commit
    • GETList Versions
    • POSTCreate Version
    • GETList Commits
    • GETList Branches
    • POSTCreate Branch
    • PUTUpdate Branch
    • DELDelete Branch
  • Metric Data
    • GETList Metrics Data
  • Annotations
    • GETList Annotations
    • POSTCreate Annotation
    • GETGet Annotation
    • PUTUpdate Annotation
  • Annotation Queues
    • GETList Annotation Queues
    • POSTCreate Annotation Queue
    • GETGet Annotation Queue
    • DELDelete Annotation Queue
    • GETList Queue Items
    • POSTAnnotate Queue Item
  • Projects
    • GETList Projects
    • POSTCreate Project
    • PUTUpdate Project
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Annotation Queues

List Queue Items

GET
https://api.confident-ai.com/v1/annotation-queues/:queueId/items
GET
/v1/annotation-queues/:queueId/items
$curl https://api.confident-ai.com/v1/annotation-queues/queueId/items \
> -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200Retrieved
1{
2 "success": true,
3 "data": {
4 "items": [
5 {
6 "id": "item-uuid-1",
7 "traceUuid": "trace-uuid-1",
8 "addedAt": "2025-11-12T10:00:00Z",
9 "completed": false,
10 "assignedToEmail": "user@example.com"
11 },
12 {
13 "id": "item-uuid-2",
14 "spanUuid": "span-uuid-1",
15 "addedAt": "2025-11-12T10:01:00Z",
16 "completed": true,
17 "assignedToEmail": {}
18 }
19 ]
20 }
21}
Retrieves all items in an annotation queue with pagination and optional filtering by completion status. Use the `completed` query parameter to filter for pending items (`false`) or completed items (`true`). Omit this parameter to retrieve all items regardless of completion status. Items are returned in ascending order by the time they were added to the queue.
Was this page helpful?
Previous

Annotate Queue Item

Next
Built with

Retrieves all items in an annotation queue with pagination and optional filtering by completion status.

Use the completed query parameter to filter for pending items (false) or completed items (true). Omit this parameter to retrieve all items regardless of completion status. Items are returned in ascending order by the time they were added to the queue.

Path parameters

queueIdstringRequired
The ID of the queue.

Headers

CONFIDENT_API_KEYstringRequired
The API key of your Confident AI project.

Query parameters

pageintegerOptional>=1
This specifies the page number of the queue items to return. Defaulted to 1.
pageSizeintegerOptional>=1
This specifies the maximum number of queue items per page. Defaulted to 25.
startstringOptionalformat: "date-time"
This filters for queue items added after the specified start datetime. Defaulted to 30 days ago.
endstringOptionalformat: "date-time"
This filters for queue items added before the specified end datetime. Defaulted to the current time.
sortByenumOptional

This determines the field to sort by. Defaulted to addedAt.

Allowed values:
ascendingenumOptional

This determines if the field specified in sortBy should be in ascending order. Defaults to false.

Allowed values:
completedstringOptional

Filter by completion status (true for completed, false for pending). Omit to return all items.

Response

Successfully retrieved list of queue items
successboolean
Indicates if the request was successful.
dataobject
Contains the list of queue items.